modimport ("scripts/tuning_goku.lua")

PrefabFiles = {
	"goku",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/goku.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/goku.xml" ),
	Asset( "IMAGE", "images/selectscreen_portraits/goku.tex" ),
	Asset( "IMAGE", "images/selectscreen_portraits/goku_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/goku_silho.xml" ),
	Asset( "ATLAS", "images/selectscreen_portraits/goku.xml" ),
	Asset( "IMAGE", "bigportraits/goku.tex" ),
	Asset( "ATLAS", "bigportraits/goku.xml" ),
	Asset("IMAGE", "images/gokuicon.tex"),
Asset("ATLAS", "images/gokuicon.xml"),
}

-- ICONS MINIMAP goku
AddMinimapAtlas("images/gokuicon.xml")

--Super S!
local function FoodAdjust(inst)
	local factors = inst.prefab and food_adjust_factors[inst.prefab] or food_adjust_factors_default

	inst:DoTaskInTime(0, function(inst)
		if GLOBAL.GetPlayer().prefab == "goku" and inst.components.edible then
			for k, v in pairs(factors) do
				inst.components.edible[k .. "value"] = inst.components.edible[k .. "value"]*v
			end
		end
	end)
end

for k, fooditem in pairs(TUNING.GOKU_FOODS) do
    AddPrefabPostInit(fooditem, FoodAdjust)
end

GLOBAL.STRINGS.CHARACTER_NAMES.goku = "Goku"
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "goku")
AddModCharacter("goku")